Accept card payments and send payouts with Apple Pay. Linking an Apple Pay token returns every supported Apple Pay payment method in a single response so you can choose the right flow for your use case:

- Accept a card payment from a payer using Apple Pay (`apple-pay`)
- Send a near real-time disbursement to a recipient's card via Apple Pay (`push-to-apple-pay` (OCT))
- Pull funds from a debit or prepaid card on file in Apple Pay for approved use cases (`pull-from-apple-pay` (AFT))

Read our [Apple Pay](https://docs.moov.io/guides/sources/apple-pay/) documentation.

### API Endpoints

- [**Register domains**](https://docs.moov.io/api/v2026.04.00/sources/apple-pay/register/)  
  POST  
  /accounts/{accountID}/apple-pay/domains

- [**Update domains**](https://docs.moov.io/api/v2026.04.00/sources/apple-pay/update/)  
  PATCH  
  /accounts/{accountID}/apple-pay/domains

- [**Get domains**](https://docs.moov.io/api/v2026.04.00/sources/apple-pay/get/)  
  GET  
  /accounts/{accountID}/apple-pay/domains

- [**Create session**](https://docs.moov.io/api/v2026.04.00/sources/apple-pay/session/)  
  POST  
  /accounts/{accountID}/apple-pay/sessions

- [**Create token**](https://docs.moov.io/api/v2026.04.00/sources/apple-pay/token/)  
  POST  
  /accounts/{accountID}/apple-pay/tokens
